#ifndef _blendyTag_H_
#define _blendyTag_H_

enum
{
	BLENDYTAG_ENABLED = 1000,
	BLENDYTAG_PLUGIN_DISABLED_GROUP,
	BLENDYTAG_PLUGIN_DISABLED_WARNING,
	BLENDYTAG_LOCK,							// sync to Protection tag
	BLENDYTAG_RENDER_EDITOR_PERSPECTIVE,
	BLENDYTAG_RENDER_EDITOR_PARALLEL,
	BLENDYTAG_PROJECTION,
	// Domemaster
	BLENDYTAG_DOMEMASTER_OPTIONS,
	BLENDYTAG_DOMEMASTER_FOV,
	BLENDYTAG_DOMEMASTER_SETTINGS_BUTTON,
	// Panorama
	BLENDYTAG_PANORAMA_OPTIONS,
	BLENDYTAG_PANORAMA_FOV_ENABLED,
	BLENDYTAG_PANORAMA_FOV_H,
	BLENDYTAG_PANORAMA_FOV_V,
	BLENDYTAG_PANORAMA_FOV_V_NEG,
	BLENDYTAG_PANORAMA_FOV_V_POS,
	// Cylindrical
	BLENDYTAG_CYLINDRICAL_OPTIONS,
	BLENDYTAG_CYLINDRICAL_ALIGNMENT,
	BLENDYTAG_CYLINDRICAL_FOV,
	BLENDYTAG_CYLINDRICAL_HEIGHT,
	BLENDYTAG_CYLINDRICAL_RADIUS,
	// Cubemap
	BLENDYTAG_CUBEMAP_OPTIONS,
	BLENDYTAG_CUBEMAP_SETTINGS_BUTTON,
	// Stereo
	BLENDYTAG_TAB_STEREO,
	BLENDYTAG_STEREO_ENABLED,				// sync to RDATA_STEREO
	BLENDYTAG_STEREO_SEPARATION,			// sync to CAMERAOBJECT_STEREO_EYESEPARATION
	BLENDYTAG_STEREO_ZERO_PARALLAX,			// sync to CAMERAOBJECT_STEREO_ZERO_PARALLAX
	BLENDYTAG_STEREO_PLACEMENT,				// sync to CAMERAOBJECT_STEREO_PLACEMENT
	BLENDYTAG_STEREO_DOMEAXIS,				// unused
	BLENDYTAG_STEREO_AXIS,
	BLENDYTAG_STEREO_EYE_GIZMO,
	BLENDYTAG_STEREO_EYE_LAT,
	BLENDYTAG_STEREO_EYE_LNG,
	BLENDYTAG_STEREO_MAP_DESC,
	BLENDYTAG_STEREO_MAP_ENABLED,
	BLENDYTAG_STEREO_MAP_AMOUNT,			// unused
	BLENDYTAG_STEREO_MAP_PREVIEW,			// unused
	BLENDYTAG_STEREO_MAP_SHADER,
	BLENDYTAG_STEREO_SETTINGS_BUTTON,
	// Info
	BLENDYTAG_ASPECT_RATIO,					// calculated
	BLENDYTAG_ASPECT_RATIO_MONO,			// calculated
	BLENDYTAG_ASPECT_RATIO_STEREO,			// calculated
	BLENDYTAG_ASPECT_DESC,					// calculated
	BLENDYTAG_ASPECT_DESC_STEREO,			// calculated
	BLENDYTAG_ASPECT_LABEL,					// calculated
	BLENDYTAG_ASPECT_LABEL_STEREO,			// calculated
	BLENDYTAG_ASPECT_SET_RES_BY_WIDTH,
	BLENDYTAG_ASPECT_SET_RES_BY_HEIGHT,
	// Syphon
	BLENDYTAG_TAB_SYPHON,
	BLENDYTAG_SYPHON_ENABLED,				// sync to VP_SYPHON_ENABLED
	BLENDYTAG_SYPHON_MODE,					// sync to VP_SYPHON_MODE
	BLENDYTAG_SYPHON_WARNING,
	// Creation mode
	BLENDYTAG_CREATE_ID,
	// Misc
	BLENDYTAG_STEREO_EYE_PAD,
	BLENDYTAG_CUBEMAP_CHANNEL,
	
	// dummy
	BLENDYTAG_DUMMY
};

enum
{
	BLENDYTAG_PROJECTION_PANORAMA,
	BLENDYTAG_PROJECTION_DOMEMASTER,
	BLENDYTAG_PROJECTION_CYLINDRICAL,
	BLENDYTAG_PROJECTION_CUBEMAP
};

enum
{
	BLENDYTAG_SYPHON_MODE_REALTIME,
	BLENDYTAG_SYPHON_MODE_FULLFRAME,
};

enum
{
	BLENDYTAG_CYLINDRICAL_ALIGNMENT_VERTICAL,
	BLENDYTAG_CYLINDRICAL_ALIGNMENT_HORIZONTAL,
};

enum
{
	BLENDYTAG_STEREO_PLACEMENT_PARALLEL,
	BLENDYTAG_STEREO_PLACEMENT_OFF_AXIS,
};

enum
{
	BLENDYTAG_STEREO_AXIS_FIXED,
	BLENDYTAG_STEREO_AXIS_CYLINDRICAL,
	BLENDYTAG_STEREO_AXIS_Y,
	BLENDYTAG_STEREO_AXIS_Z,
//	BLENDYTAG_STEREO_AXIS_FULLDOME_FIXED,
//	BLENDYTAG_STEREO_AXIS_FULLDOME_CYLINDRICAL,
//	BLENDYTAG_STEREO_AXIS_FULLDOME_Y,
//	BLENDYTAG_STEREO_AXIS_FULLDOME_Z,
};

enum
{
	BLENDYTAG_STEREO_DOMEAXIS_FISHEYE,
	BLENDYTAG_STEREO_DOMEAXIS_DOME,
};

enum
{
	BLENDYTAG_CUBEMAP_CHANNEL_LEFT,
	BLENDYTAG_CUBEMAP_CHANNEL_RIGHT,
	BLENDYTAG_CUBEMAP_CHANNEL_DOWN,
	BLENDYTAG_CUBEMAP_CHANNEL_UP,
	BLENDYTAG_CUBEMAP_CHANNEL_BACK,
	BLENDYTAG_CUBEMAP_CHANNEL_FRONT,
};



#endif // _blendyTag_H_



